#version 330
uniform sampler2D texture_one;
uniform sampler2D texture_two;
uniform float alpha;

in vec2 texcoord_out;

out vec4 fragColor;

void main(void)
{
	vec4 colorA = texture(texture_one, texcoord_out);
	vec4 colorB = texture(texture_two, texcoord_out);

	fragColor = mix(colorA, colorB, alpha);
}




