#version 330
uniform sampler2D texture_one;
uniform sampler2D texture_two;
uniform float alpha;

in vec2 texcoord_out;

out vec4 fragColor;

void main(void)
{
	float colorA = texture(texture_one, texcoord_out).r;
	float colorB = texture(texture_two, texcoord_out).r;

	fragColor.rgba = vec4( vec3(mix(colorA, colorB, alpha)), 1.0 );
}





