#version 330
in mat4 localToWorldAttrib;
uniform mat4 worldToView;
uniform mat4 viewToProjection;
in vec4 instanceColorAttrib;
in vec4 vertex;
in vec2 texcoord;
out vec2 texcoord_out;

void main(void)
{
	texcoord_out = texcoord;

	vec4 worldPosition = localToWorldAttrib * vertex;
	gl_Position = viewToProjection * worldToView * worldPosition;
}

